package com.saye.hospitalgd.service.impl;

import com.saye.hospitalgd.mapper.MedicalInsuranceReconciliationMapper;
import com.saye.hospitalgd.service.MedicalInsuranceReconciliationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.HashMap;
import java.util.List;

/**
 * @author thuang
 * @version 1.0
 * @description: 医保对账ServiceImpl
 * @date 2025/10/24
 */
@Service
@Transactional
public class MedicalInsuranceReconciliationServiceImpl implements MedicalInsuranceReconciliationService {

    @Autowired
    private MedicalInsuranceReconciliationMapper medicalInsuranceReconciliationMapper;

    @Override
    public void insertMedicalInsuranceReconciliationResult(HashMap<Object, Object> map) throws Exception {
        medicalInsuranceReconciliationMapper.insertMedicalInsuranceReconciliationResult(map);
    }

    @Override
    public void insertMedicalInsuranceReconciliationResultBatch(List<HashMap<Object, Object>> list) throws Exception {
        medicalInsuranceReconciliationMapper.insertMedicalInsuranceReconciliationResultBatch(list);
    }

    @Override
    public List<HashMap<Object, Object>> findMedicalInsuranceReconciliationResult(HashMap<Object, Object> map) throws Exception {
        return medicalInsuranceReconciliationMapper.findMedicalInsuranceReconciliationResult(map);
    }

    @Override
    public void deleteMedicalInsuranceReconciliationResult(HashMap<Object, Object> map) throws Exception {
        medicalInsuranceReconciliationMapper.deleteMedicalInsuranceReconciliationResult(map);
    }

    @Override
    public void updateMedicalInsuranceReconciliationRemark(HashMap<Object, Object> map) throws Exception {
        medicalInsuranceReconciliationMapper.updateMedicalInsuranceReconciliationRemark(map);
    }
}


